<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Grid Format - A topics based format that uses a grid of user selectable images to popup a light box of the section.
 *
 * @package    format_grid
 * @version    See the value of '$plugin->version' in version.php.
 * @copyright  &copy; 2013 G J Barnard in respect to modifications of standard topics format.
 * @author     G J Barnard - {@link http://about.me/gjbarnard} and
 *                           {@link http://moodle.org/user/profile.php?id=442195}
 * @author     Based on code originally written by Paul Krix and Julian Ridden.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['display_summary'] = 'Sail out of thy grid';
$string['display_summary_alt'] = 'Sail thee section out of thy grid';
$string['editimage'] = 'Change thy flag';
$string['editimage_alt'] = 'Hoist or change thy flag';
$string['hidden_topic'] = 'Thy section has been buried';
$string['hide_summary'] = 'Sail thy section into thee grid';
$string['hide_summary_alt'] = 'Sail thy section into thee grid';
$string['namegrid'] = 'Grid view';
$string['pluginname'] = 'Grid format';
$string['topic'] = 'Section';
$string['topic0'] = 'General';

// Moodle 2.3 Enhancement.
$string['hidefromothers'] = 'Bury thee section';
$string['showfromothers'] = 'Dig up thee section';
$string['currentsection'] = 'This section';

// Moodle 2.4 Course format refactoring - MDL-35218.
$string['numbersections'] = 'Number of thee sections';

// Image did not convert.
$string['imagecannotbeusedasanicon'] = 'Flag cannot bee used as thy icon, must bee a Gif, Jpg or Png and thee GD PHP library installed.';
