<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package		Mb2 Shortcodes Button
 * @author		Mariusz Boloz (http://mb2extensions.com)
 * @copyright	Copyright (C) 2017 Mariusz Boloz (http://mb2extensions.com). All rights reserved
 * @license		Commercial (http://codecanyon.net/licenses)
**/


defined('MOODLE_INTERNAL') || die();


// Plugin
$string['insertshortcode'] = 'Insert shortcode';
$string['pluginname'] = 'Mb2 Shortcodes';


// General string
$string['active'] = 'Active';
$string['after'] = 'After';
$string['align'] = 'Align';
$string['before'] = 'Before';
$string['bgcolor'] = 'Background color';
$string['bgimage'] = 'Background image';
$string['bottom'] = 'Bottom';
$string['center'] = 'Center';
$string['color'] = 'Color';
$string['color_desc'] = 'Hex (\'#ffffff\') or rgb/rgba (\'rgba(0,0,0,.5)\') color value.';
$string['content'] = 'Content';
$string['custom_color'] = 'Custom color';
$string['danger'] = 'Danger';
$string['dark'] = 'Dark';
$string['dark_striped'] = 'Dark striped';
$string['default'] = 'Default';
$string['description'] = 'Description';
$string['gray'] = 'Gray';
$string['horizontal'] = 'Horizontal';
$string['height'] = 'Height';
$string['htmltag'] = 'Html tag';
$string['icon'] = 'Icon';
$string['image'] = 'Image';
$string['none'] = 'None';
$string['info'] = 'Info';
$string['inverse'] = 'Inverse';
$string['large'] = 'Large';
$string['left'] = 'Left';
$string['light'] = 'Light';
$string['light_striped'] = 'Light striped';
$string['link'] = 'Link';
$string['link_target'] = 'Open link';
$string['link_target_self'] = 'In the same window';
$string['link_target_blank'] = 'In a new window';
$string['margin'] = 'Margin';
$string['margin_desc'] = 'Top right bottom left (e.g.: 5px 0 15px 0).';
$string['name'] = 'Name';
$string['nline'] = 'New line';
$string['no'] = 'No';
$string['normal'] = 'Normal';
$string['primary'] = 'Primary';
$string['right'] = 'Right';
$string['rounded'] = 'Rounded';
$string['size'] = 'Size';
$string['small'] = 'Small';
$string['style'] = 'Style';
$string['subtext'] = 'Subtext';
$string['success'] = 'Success';
$string['text'] = 'Text';
$string['title'] = 'Title';
$string['top'] = 'Top';
$string['type'] = 'Type';
$string['warning'] = 'Warning';
$string['width'] = 'Width';
$string['xlarge'] = 'Extra large';
$string['xsmall'] = 'Extra small';
$string['yes'] = 'Yes';




// Dialog
$string['editshortcode'] = 'Edit Shortcode';
$string['generate'] = 'Generate shortcode';
$string['insertshortcode'] = 'Insert shortcode';
$string['selectshortcode'] = 'Select shortcode';
$string['newritem'] = 'Add new item';
$string['addimage'] = 'Add image';
$string['addicon'] = 'Add icon';
$string['generateshortcode'] = 'Generate shortcode';
$string['backtochooser'] = 'Back';


// Shortcodes: Accordion
$string['accordion'] = 'Accordion';
$string['accordion_parent'] = 'Parent';


// Shortcodes: Box content
$string['boxcontent'] = 'Box content';
$string['linktext'] = 'Link text';


// Shortcodes: Box icon
$string['boxicon'] = 'Box icon';


// Shortcodes: Box image
$string['boximg'] = 'Box image';


// Shortcodes: Button
$string['button'] = 'Button';
$string['button_border'] = 'Border';
$string['button_fw'] = 'Full width';
$string['button_rounded'] = 'Rounded';
$string['button_ttpos'] = 'Tooltip position';
$string['button_tttext'] = 'Tooltip text';


// Shortcodes: Columns
$string['columns'] = 'Columns';
$string['column_12'] = 'One half';
$string['column_13'] = 'One third';
$string['column_23'] = 'Two third';
$string['column_14'] = 'One fourth';
$string['column_34'] = 'Three fourth';


// Shortcodes: Gap
$string['gap'] = 'Gap';
$string['gap_smallscreen'] = 'Show on small screen';


// Shortcodes: Header
$string['header'] = 'Header';


// Shortcodes: Headings
$string['headings'] = 'Headings';


// Shortcodes: Highlight
$string['highlight'] = 'Highlight';


// Shortcodes: Icon
$string['icon'] = 'Icon';
$string['icon_spin'] = 'Spin';
$string['icon_sizebg'] = 'Background size (px)';
$string['icon_rotate'] = 'Rotate';
$string['icon_rotate_90'] = '90 degree';
$string['icon_rotate_180'] = '180 degree';
$string['icon_rotate_270'] = '270 degree';
$string['icon_rotate_fh'] = 'Flip horizontal';
$string['icon_rotate_fv'] = 'Flip vertical';
$string['icon_text_pos'] = 'Text position';


// Shortcodes: Image
$string['widthdesc'] = 'Width in pixels. Height will be set automatically.';
$string['alttext'] = 'Aternative text';


// Shortcodes: Line
$string['line'] = 'Line';


// Shortcodes: List
$string['list'] = 'List';
$string['double'] = 'Double';


// Shortcodes: Slider
$string['slider'] = 'Slider';
$string['loop'] = 'Loop';
$string['nav'] = 'Navigation';
$string['dots'] = 'Dots navigation';
$string['autoplay'] = 'Autoplay';
$string['pausetime'] = 'Pause titme (ms)';
$string['animtime'] = 'Animation time (ms)';
$string['gutter'] = 'Margin';


// Shortcodes: Tabs
$string['tabs'] = 'Tabs';
$string['tabs_pos'] = 'Tabs position';


// Shotcodes: Video
$string['video'] = 'Video';
$string['video_id'] = 'Web video id';
$string['video_bg_image'] = 'Image placeholder';
$string['video_ratio'] = 'Aspect ratio';
$string['video_id_desc'] = 'Youtube or Vimeo video id.';


// Ajax
$string['ajaxfailure'] = 'Unfortunately something went wrong.';